Subject: bug#4513 closed by David Reitter <[email-masked]> (Re: bug#4513: NS: File menu missing)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 25 Sep 2009 17:50:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#4513: NS: File menu missing

It has been closed by David Reitter <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact David Reitter <[email-masked]> by
replying to this email.

-- 
4513: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4513
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4513: NS: File menu missing
From: David Reitter <[email-masked]>
To: Adrian Robert <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 25 Sep 2009 13:45:14 -0400

On Sep 23, 2009, at 10:24 PM, Adrian Robert wrote:
> OK, after seeing this I'm more inclined to go with "ignore first  
> item at top level on OS X".
>
> (We have: 10.0-10.5.8 = @Apple, 10.5.8 = @"", 10.6+ = @<appname>.   
> Jeez...)

For now I went with the smallest change possible (checking for  
@"Emacs" in addition to the others) as I don't know about NS and  
future changes in NS.
This solution relies on only what is documented.

Suppose you could indeed adopt my earlier patch if this proves  
problematic.  No need for -clear anyways, unless it is used elsewhere.

D

Subject: NS: File menu missing
From: David Reitter <[email-masked]>
To: [email-masked]
Date: Mon, 21 Sep 2009 18:55:31 -0400

package: ns
X-Debbugs-Cc: Adrian Robert <[email-masked]>

The file menu is missing; its contents are in the application menu  
(titled "Emacs"), and the usual contents of the application menu are  
completely gone.

So I've got "Emacs Edit Options"

Is this intentional (if so which change - had a long hard look at  
change logs)?

Have been trying to debug without success so far.

This was introduced at some point in between the Emacs 23.1 pretest  
branch cut and the current master branch.

Thanks
- David

In GNU Emacs 23.1.50.7 (i386-apple-darwin10.0.0, NS apple- 
appkit-1038.11)
  of 2009-09-21 on scarlett.psy.cmu.edu
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns' '--without-x' 'CC=gcc -arch  
i386''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: en_US.us-ascii
   value of $LC_CTYPE: en_US.us-ascii
   value of $LC_MESSAGES: en_US.us-ascii
   value of $LC_MONETARY: en_US.us-ascii
   value of $LC_NUMERIC: en_US.us-ascii
   value of $LC_TIME: en_US.us-ascii
   value of $LANG: de_DE.ISO8859-15
   value of $XMODIFIERS: nil
   locale-coding-system: us-ascii-unix
   default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.